// Copyright 2023 mathru. All rights reserved.

/// This package provides an easy-to-use UI on any platform.
///
/// [mathru.net]: https://mathru.net
/// [YouTube]: https://www.youtube.com/c/mathrunetchannel
library masamune.universal;

// Dart imports:
import 'dart:async';
import 'dart:math';

// Flutter imports:
import 'package:flutter/foundation.dart';
import 'package:flutter/gestures.dart';
import 'package:flutter/material.dart';
import 'package:flutter/services.dart';

// Project imports:
import 'package:masamune/masamune.dart';

part 'universal_scaffold.dart';
part 'universal_app_bar.dart';
part 'ui_list_view.dart';
part 'ui_list_builder.dart';
part 'ui_grid_view.dart';
part 'ui_grid_builder.dart';
part 'ui_tab.dart';
part 'ui_scrollbar.dart';
part 'ui_modern_detail_app_bar.dart';
